Description

Everytime there is a call to the oVirt/RHEV, the full authentication against it is performed,

which has quite a big overhead (for more details http://www.ovirt.org/Features/RESTSessionManagement)

Since oVirt 3.1, there was added a support for getting a session token

and authenticating with it, which should be much faster.

At least in my setup, with remote RHEV authenticated over LDAP,

the response times are very unpleasant.

Related issues:

Related to Foreman - Bug #3681: One Vsphere Login Session per connection/action New

History

#1 - 08/01/2014 05:10 AM - Ivan Necas

- Tracker changed from Bug to Feature

#2 - 08/11/2014 04:24 AM - Ivan Necas

On my setup, switching to session based auth instead of using the basic auth on every call gives 4x speedup (4s without the session token,

1s with it)

#3 - 08/11/2014 05:13 PM - Ivan Necas

The PR against rbovirt to support this mechanism opened at https://github.com/abenari/rbovirt/pull/42

#4 - 08/12/2014 02:11 PM - Lukas Zapletal

What I don't get is how this is planned to work in Foreman. Do you plan to store the ovirt session id in the user's session?

#5 - 09/26/2014 07:04 AM - Dominic Cleal

- Related to Bug #3681: One Vsphere Login Session per connection/action added
